# Issue invoice for receiver

`POST https://api.strike.me/v1/invoices/handle/{handle}`

Source: https://docs.strike.me/api/issue-invoice-for-receiver/

---

Only currencies which are invoiceable for the receiver's account can be used. Invoiceable currencies can be found using get account profile
endpoint to fetch account details for the receiver.

Required scopes:

- partner.invoice.create-for-receiver

## Path parameters

- `handle` (string, required): Handle of the invoice receiver.

## Request body

`application/json`, required

- `correlationId` (string): Invoice correlation id. Must be a unique value. Can be used to correlate the invoice with an external entity.
- `description` (string): Invoice description.
- `amount` (object, required): Invoice amount. Only currencies which are invoiceable for the receiver's account can be used. Invoiceable currencies can be found using get account profile endpoint.
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.

Example:

```json
{
  "correlationId": "224bff37-021f-43e5-9b9c-390e3d834720",
  "description": "Invoice for order 123",
  "amount": {
    "amount": "10.99",
    "currency": "USD"
  }
}
```

## Responses

### 201 Created

`application/json`

- `invoiceId` (uuid, required)
- `amount` (object, required)
  - `amount` (string, required): Currency amount in decimal format.
  - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
- `state` (string, required): One of `UNPAID`, `PENDING`, `PAID`, `CANCELLED`.
- `created` (date-time, required)
- `correlationId` (string): Invoice correlation id.
- `description` (string): Invoice description.
- `issuerId` (uuid, required): Id of the invoice issuer.
- `receiverId` (uuid, required): Id of the invoice receiver.
- `payerId` (uuid): Id of the invoice payer. Present only when invoice was created for the dedicated payer.
- `transactions` (object[]): Transactions associated with this invoice. Only included when includeTransactions=true is passed.
  - `transactionId` (uuid, required): Unique identifier for the transaction.
  - `state` (string, required): Current state of the transaction. One of `PENDING`, `COMPLETED`.
  - `amountReceived` (object, required): Amount received in this transaction.
    - `amount` (string, required): Currency amount in decimal format.
    - `currency` (string, required): Currency code. One of `BTC`, `USD`, `EUR`, `USDT`, `GBP`, `AUD`.
  - `created` (date-time, required): Timestamp when the transaction was created.
  - `completed` (date-time): Timestamp when the transaction completed. Present only when the transaction is completed.

### 401 Unauthorized

### 403 Forbidden

From the Strike API documentation — https://docs.strike.me
